# Posting bids and asks

With a [`LiquidityProvider`](/mangrove-js/technical-references/api-classes-overview.md#liquidityprovider) `mgvLP` on a [Market](/mangrove-js/technical-references/api-classes-overview.md#market) instance, it is possible to post Bids and Asks with the following commands:

```javascript
// gives unlimited approval to Mangrove to transfer Base token from liquidity provider's logic/EOA
let tx = await mgvLP.approveMangroveForBase();
await tx.wait(); // waiting for tx confirmation

// querying mangrove to know the bounty for posting a new Ask on `market`
let prov = await mgvLP.computeAskProvision();
tx = await mgvLP.fundMangrove(prov);
await tx.wait();

// posting a new Ask on Mangrove
const {id:ofrId} = await mgvLP.newAsk({volume:1000, price:0.99});
const {id:ofrId_} = await mgvLP.newBid({volume:1000, price: 1.01});
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.oxium.xyz/mangrove-js/guides/posting-bids-and-asks.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
